using System;
using System.Security.Permissions;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Security
{
    public static class Rule2109
    {
        // このメソッドは CA2109:Security に違反しています。
        [SecurityPermission(SecurityAction.Demand, UnmanagedCode = true)]
        public static void OnLoading(object sender, EventArgs e)
        {
            Console.WriteLine("{0}, {1}", sender, e);
        }

        // このメソッドは CA2109:Default に違反しています。
        public static void OnLoaded(object sender, EventArgs e)
        {
            Console.WriteLine("{0}, {1}", sender, e);
        }
    }
}
